cURL
curl --request POST \ --url https://api.ttapi.io/flowmusic/v1/generations \ --header 'Content-Type: application/json' \ --header 'TT-API-KEY: <api-key>' \ --data ' { "title": "<string>", "model": "Lyria 3 Pro", "sound_prompt": "<string>", "lyrics": "<string>", "seed": "<string>", "bpm": "<string>", "length": 120, "hook_url": "<string>" } '
{ "status": "SUCCESS", "message": "success", "data": { "job_id": "job_id" } }
通过文字提示词或者自定义歌词生成音乐,注:每次请求生成一首音乐
Documentation IndexFetch the complete documentation index at: https://docs.ttapi.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
Use this file to discover all available pages before exploring further.
请前往 TTAPI 控制台 获取 API 密钥。
生成音乐标题
音乐模型名称,为空时默认使用 Lyria 3 Pro
音乐风格或声音描述提示词;和 lyrics 不允许同时为空
歌词文本;和 sound_prompt 不允许同时为空
随机种子
BPM,必须大于等于 1
生成音乐时长,单位秒;允许为空,范围 1 到 240
1 <= x <= 240
任务完成后的业务回调地址;为空时不推送回调
请求成功
"SUCCESS"
"success"
{ "job_id": "job_id" }